﻿
using Csla;

namespace WpfApplication1
{

    public class Car : BusinessBase<Car>
    {
        public static readonly PropertyInfo<string> BrandProperty = RegisterProperty<string>(p => p.Brand);
        public string Brand
        {
            get { return GetProperty(BrandProperty); }
            set { SetProperty(BrandProperty, value); }
        }

        public static readonly PropertyInfo<string> YearProperty = RegisterProperty<string>(p => p.Year);
        public string Year
        {
            get { return GetProperty(YearProperty); }
            set { SetProperty(YearProperty, value); }
        }


        public static readonly PropertyInfo<string> ColorProperty = RegisterProperty<string>(p => p.Color);
        public string Color
        {
            get { return GetProperty(ColorProperty); }
            set { SetProperty(ColorProperty, value); }
        }


        public static readonly PropertyInfo<int> PriceProperty = RegisterProperty<int>(p => p.Price);
        public int Price
        {
            get { return GetProperty(PriceProperty); }
            set { SetProperty(PriceProperty, value); }
        }

        public static readonly PropertyInfo<bool> IsSelectedProperty = RegisterProperty<bool>(p => p.IsSelected);
        public bool IsSelected
        {
            get { return GetProperty(IsSelectedProperty); }
            set { SetProperty(IsSelectedProperty, value); }
        }
        public static readonly PropertyInfo<string> NoteProperty = RegisterProperty<string>(p => p.Note);

        public string Note
        {
            get { return GetProperty(NoteProperty); }
            set { SetProperty(NoteProperty, value); }
        }
        public static Car GetCar(string brand, string year, string color, int price, string note)
        {
            return new Car { Brand = brand, Year = year, Color = color, IsSelected = false, Price = price, Note=note };
        }




    }
}
